<!doctype html>
<html lang="en">
<head>
	<meta charset="utf-8">

	<title>CSS Lightbox Made Practicle with PHP</title>
	<meta name="description" content="CSS Lightbox Made Practicle with PHP">
	<meta name="author" content="Stephen Greig - Tangled in Design">

	<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0">
	<link rel="stylesheet" href="css/style.css">

	<!--[if lt IE 9]>
	<script src="js/html5-enabler.js"></script>
	<![endif]-->

	<style type="text/css">

		body {
			margin: 0;
		}

		.demo-bar {
			background: #252525;
			width: 100%;
			height: 118px;
			margin-bottom: 40px;
			float: left;
		}

		.demo-bar:after {
			content: "";
			display: block;
			clear: both;
		}

		.demo-bar img:first-of-type {
			float: left;
			max-width: 100%;
			position: absolute;
			left: 0;
			bottom: 0;
		}

		.demo-bar .left {
			float: left;
			width: 60%;
			height: 118px;
			position: relative;
		}

		.demo-bar .right {
			background: url(images/demo-bar-right.jpg) left no-repeat #2e2e2e;
			width: 40%;
			max-width: 350px;
			height: 118px;
			float: right;
			position: relative;
		}

			.demo-bar p {
				width: auto;
				color: #666;
				position: absolute;
				bottom: 30px;
				right: 5%;
				text-align: right;
			}

			.demo-bar a {
				color: #ccc;
				font-size: 10px;
				border-bottom: 1px dotted #999;
				text-transform: uppercase;
				text-decoration: none;
			}

			.twitter-buttons {
				position: absolute;
				top: 20px;
				right: 5%;
				text-align: right;
			}

		.clearfix {
			clear: both;
		}

		@media screen and (max-width:580px) {
			.demo-bar .left {
			}

			.demo-bar .right {
				background: none;
			}

			.demo-bar p {
				width: 100px;
				color: #252525;
				bottom: 15px;
			}
		}

	</style>

</head>

<body>

	<div class="demo-bar">
		<div class="left">
			<img src="images/demo-logo.jpg" alt="A Tangled in Design Demo">
		</div>
		<div class="right">
			<div class="twitter-buttons">
				<a href="https://twitter.com/share" class="twitter-share-button" data-via="Stephen_Greig" data-count="none">Tweet</a>
			<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script>
				<a href="https://twitter.com/Stephen_Greig" class="twitter-follow-button" data-show-count="false" data-show-screen-name="false">Follow @Stephen_Greig</a>
	<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script>
			</div>
			<p><a href="http://www.tangledindesign.com/blog/css-lightbox-made-practical-with-php/">Back to article</a> | <a href="http://tangledindesign.com/demos">More Demos</a></p>
		</div>
	</div>
	<div class="clearfix"></div>

	<div class="container">

		<h1>New Zealand North Island (CSS Lightbox)</h1>

		<ul class="gallery">

			<?php
				$captions = array(
					/*01*/ "Hunua Falls, Auckland",
					/*02*/ "Hobbit House, Hobbiton (Matamata)",
					/*03*/ "'Hole in the Rock', Bay of Islands",
					/*04*/ "Cape Reinga Lighthouse, the Northmost point of New Zealand",
					/*05*/ "Rainbow Falls, Kerikeri",
					/*06*/ "Arai Te Uru, Northland",
					/*07*/ "View from Tourist Drive near Matauri Bay, Northland",
					/*08*/ "Kitekite Falls, Piha, Auckland",
					/*09*/ "The distinctive line where the Pacific Ocean and Tasman Sea meet",
					/*10*/ "View over Auckland from the summit of Mt Eden",
					/*11*/ "View over The Green Dragon Inn, Hobbiton (Matamata)",
					/*12*/ "View over Matauri Bay, Northland",
					/*13*/ "Auckland Harbour Bridge Bungy Jump",
					/*14*/ "Sandboarding at the Ninety Mile Beach",
					/*15*/ "Haruru Falls, near Paihia"
				); 

				for($n = 1; $n <= count($captions); $n++):
			?>

			<li>
				<a href="#img<?php echo $n; ?>"><img src="images/<?php echo $n; ?>.jpg" alt="<?php echo $captions[$n-1]; ?> Thumb"></a>
				<article id="img<?php echo $n; ?>">
					<figure>
						<a href="#img<?php if($n == count($captions)) { echo 1; } else { echo $n+1; } ?>"><img src="images/<?php echo $n; ?>.jpg" alt="<?php echo $captions[$n-1]; ?>"></a>
					    <figcaption><?php echo $captions[$n-1]; ?></figcaption>
					</figure>
					<nav>
						<a class="close" href="#close">Close</a>
						<a class="arrow prev" href="#img<?php if($n == 1) { echo count($captions); } else { echo $n-1; } ?>">Previous</a>
						<a class="arrow next" href="#img<?php if($n == count($captions)) { echo 1; } else { echo $n+1; } ?>">Next</a>
					</nav>
				</article>
			</li>

			<?php endfor; ?>

	    </ul>

	</div>

</body>
</html>
